// swift-tools-version: 5.8

import PackageDescription

let package = Package(
    name: "Libraries",
    platforms: [
        .iOS(.v16)
    ],
    products: [
        .library(
            name: "Libraries",
            targets: [
                "Core",
                "Dependency",
                "Persistence",
                "Remote"
            ]
        ),
    ],
    dependencies: [],
    targets: [
        .target(
            name: "APICore",
            dependencies: []
        ),
        .target(
            name: "Core",
            dependencies: []
        ),
        .target(
            name: "Dependency",
            dependencies: []
        ),
        .target(
            name: "Persistence",
            dependencies: []
        ),
        .target(
            name: "Remote",
            dependencies: [
                "APICore"
            ]
        ),
        .testTarget(
            name: "APICoreTests",
            dependencies: [
                "APICore"
            ]
        ),
        .testTarget(
            name: "CoreTests",
            dependencies: [
                "Core"
            ]
        ),
        .testTarget(
            name: "DependencyTests",
            dependencies: [
                "Dependency"
            ]
        ),
        .testTarget(
            name: "PersistenceTests",
            dependencies: [
                "Persistence"
            ]
        ),
        .testTarget(
            name: "RemoteTests",
            dependencies: [
                "APICore",
                "Remote"
            ]
        ),
    ]
)
